at.chipkarte.client.rez.soap

## Class ArzneimittelEkodaten

- Object
- - at.chipkarte.client.rez.soap.ArzneimittelEkodaten

-     public class ArzneimittelEkodaten
      extends Object

  Ekodaten des Arzneimittels.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArzneimittelEkodaten()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbgebbarePackungen()` Abgabeanzahl der Arzneispezialität.
    `String` | `getArzneimittelinformation()` Hinweistext der Arzneispezialität.
    `String` | `getBox()` Boxkennzeichen.
    `String` | `getIndikationstext()` Indikationstext der Arzneispezialität.
    `String` | `getIndikationstextHtml()` Indikationstext der Arzneispezialität, HTML codiert.
    `String` | `getKassenzeichen()` Kassenzeichen aus den IEKO-Daten.
    `String` | `getLangzeitbewilligung()` Langzeitbewilligung aus den IEKO-Daten.
    `String` | `getPackungsinformation()` Packungsinformation.
    `String` | `getRegeltext()` Regeltext der Arzneispezialität.
    `String` | `getRegeltextHtml()` Regeltext der Arzneispezialität, HTML codiert.
    `String` | `getSuchtgiftkennzeichen()` Suchtgiftkennzeichen aus den IEKO-Daten.
    `String` | `getTeilbarkeit()` Teilbarkeit der Arzneispezialität.
    `void` | `setAbgebbarePackungen(String abgebbarePackungen)`
    `void` | `setArzneimittelinformation(String arzneimittelinformation)`
    `void` | `setBox(String box)`
    `void` | `setIndikationstext(String indikationstext)`
    `void` | `setIndikationstextHtml(String indikationstextHtml)`
    `void` | `setKassenzeichen(String kassenzeichen)`
    `void` | `setLangzeitbewilligung(String langzeitbewilligung)`
    `void` | `setPackungsinformation(String packungsinformation)`
    `void` | `setRegeltext(String regeltext)`
    `void` | `setRegeltextHtml(String regeltextHtml)`
    `void` | `setSuchtgiftkennzeichen(String suchtgiftkennzeichen)`
    `void` | `setTeilbarkeit(String teilbarkeit)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArzneimittelEkodaten

          public ArzneimittelEkodaten()

  - ### Method Detail

    - #### getBox

          public String getBox()

      Boxkennzeichen.
      Mögliche Werte: `BoxenzuordnungConstants`.
      Angabe: Muss.
      Returns:
        Boxkennzeichnung

    - #### setBox

          public void setBox(String box)

    - #### getLangzeitbewilligung

          public String getLangzeitbewilligung()

      Langzeitbewilligung aus den IEKO-Daten.
      Format: 3-stellig.
      Angabe: Kann.
      Returns:
        Langzeitbewilligung

    - #### setLangzeitbewilligung

          public void setLangzeitbewilligung(String langzeitbewilligung)

    - #### getSuchtgiftkennzeichen

          public String getSuchtgiftkennzeichen()

      Suchtgiftkennzeichen aus den IEKO-Daten.
      Format: 3-stellig.
      Angabe: Kann.
      Returns:
        Suchtgiftkennzeichen

    - #### setSuchtgiftkennzeichen

          public void setSuchtgiftkennzeichen(String suchtgiftkennzeichen)

    - #### getKassenzeichen

          public String getKassenzeichen()

      Kassenzeichen aus den IEKO-Daten.
      Format: 5-stellig.
      Angabe: Kann.
      Returns:

    - #### setKassenzeichen

          public void setKassenzeichen(String kassenzeichen)

    - #### getAbgebbarePackungen

          public String getAbgebbarePackungen()

      Abgabeanzahl der Arzneispezialität. Ist dieser Wert leer, so bedeutet dies eine Abgabemenge von "1".
      Format: 3-stellig.
      Angabe: Kann.
      Returns:

    - #### setAbgebbarePackungen

          public void setAbgebbarePackungen(String abgebbarePackungen)

    - #### getTeilbarkeit

          public String getTeilbarkeit()

      Teilbarkeit der Arzneispezialität.
      Format: 3-stellig.
      Angabe: Kann.
      Returns:

    - #### setTeilbarkeit

          public void setTeilbarkeit(String teilbarkeit)

    - #### getArzneimittelinformation

          public String getArzneimittelinformation()

      Hinweistext der Arzneispezialität.
      Format: maximal 3000-Zeichen
      Angabe: Kann.
      Returns:

    - #### setArzneimittelinformation

          public void setArzneimittelinformation(String arzneimittelinformation)

    - #### getPackungsinformation

          public String getPackungsinformation()

      Packungsinformation.
      Format: 28-stellig
      Angabe: Kann.
      Returns:
        Hinweis zur Packung der Arzneispezialität

    - #### setPackungsinformation

          public void setPackungsinformation(String packungsinformation)

    - #### getRegeltext

          public String getRegeltext()

      Regeltext der Arzneispezialität.
      Format: maximal 4000-Zeichen
      Angabe: Kann.
      Returns:

    - #### setRegeltext

          public void setRegeltext(String regeltext)

    - #### getIndikationstext

          public String getIndikationstext()

      Indikationstext der Arzneispezialität.
      Format: maximal 4000-Zeichen
      Angabe: Kann.
      Returns:

    - #### setIndikationstext

          public void setIndikationstext(String indikationstext)

    - #### getRegeltextHtml

          public String getRegeltextHtml()

      Regeltext der Arzneispezialität, HTML codiert.
      Format: maximal 4000-Zeichen
      Angabe: Kann.
      Returns:

    - #### setRegeltextHtml

          public void setRegeltextHtml(String regeltextHtml)

    - #### getIndikationstextHtml

          public String getIndikationstextHtml()

      Indikationstext der Arzneispezialität, HTML codiert.
      Format: maximal 4000-Zeichen
      Angabe: Kann.
      Returns:

    - #### setIndikationstextHtml

          public void setIndikationstextHtml(String indikationstextHtml)